Details

    • Type: Bug
    • Status: Resolved
    • Priority: P4
    • Resolution: Duplicate
    • Affects Version/s: 9
    • Fix Version/s: 11
    • Component/s: hotspot
    • Labels:
    • Environment:

      Mac OS X with Xcode 7.3

      Description

      There are 3 libsaproc issues, compiling libsaproc under Xcode 7.3 (need to modify gcc.make first to use make):

      /Volumes/Work/bugs/0000000/jdk9/hotspot/src/jdk.hotspot.agent/macosx/native/libsaproc/MacosxDebuggerLocal.m:691:21: warning: 'ePtAttachDeprecated' is deprecated: PT_ATTACH is deprecated. See PT_ATTACHEXC [-Wdeprecated-declarations]
        if ((res = ptrace(PT_ATTACH, pid, 0, 0)) < 0) {
                          ^
      /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.11.sdk/usr/include/sys/ptrace.h:85:19: note: expanded from macro 'PT_ATTACH'
      #define PT_ATTACH ePtAttachDeprecated /* trace some running process */
                              ^
      /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.11.sdk/usr/include/sys/ptrace.h:71:2: note: 'ePtAttachDeprecated' has been explicitly marked deprecated here
              ePtAttachDeprecated __deprecated_enum_msg("PT_ATTACH is deprecated. See PT_ATTACHEXC") = 10
              ^

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                gziemski Gerard Ziemski
                Reporter:
                gziemski Gerard Ziemski
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: